@font-face {
    font-family: Game_Font;
    src: url('../assets/fonts/GameStation/GamestationExtended.otf');
}


body {
    width: 100%;
    height: 100%;
    min-width: none;
    margin: 0;
    padding: 0;
    overflow: hidden;
    font-family: 'Segoe UI', sans-serif;
    cursor: url(../assets/cursors/default.png), default !important;
}

body * {
    box-sizing: border-box;
}

canvas {
    width: 100% !important;
    height: 100% !important;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 99;
}

#game {
    position: relative;
    z-index: 99;
}

#game div {
    z-index: 100;
}

#preloader {
    height: 100%;
    width: 100%;
    position: fixed;
    background-color: #00131f;
    z-index: 1000;
}

.container {
    margin: auto;

    width: 320px;
    height: 180px;
    position: absolute;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
}

.load_logo {
    margin: auto;
    width: 100%;
    height: 100%;
}

.loading {
    margin: auto;
    width: 40px;
    position: absolute;
    top: 200px;
    left: 0;
    right: 0;
}

.info-wrapper {
    position: absolute;
    top: 17vh;
    height: 100vh;
    width: 100vw;
    display: flex;
    align-items: start;
    justify-content: space-between;
    z-index: 100;
}

.info {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    z-index: 100;
    padding-left: 5vh;
    box-sizing: border-box;
    font-size: 17px;
    font-family: Arial, Helvetica, sans-serif;
    font-weight: normal;
    background: transparent;
}

.info-text {
    padding: 10px 15px;
    max-width: 50vw;
    background: #000000b6;
    border-radius: 10px;
    color: rgb(255, 255, 255);
}

a {
    text-decoration: none;
    color: rgb(0, 195, 255);
    cursor: url(../assets/cursors/hover.png), pointer !important;
}


@media (max-width: 1000px) {
    .info {
        font-size: 14px;
    }

    .info-text {
        padding: 0px 15px;
    }
}





/* Форма регистрации */

#tester-form-wrapper {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: radial-gradient(circle at center, #1c2b4e, #020617);
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 9999;
}

.tester-hidden {
    display: none !important;
}

.tester-form {
    background: #111827;
    padding: 32px;
    border-radius: 16px;
    border: 1px solid #009adb;
    box-shadow: 0 0 100px #0a63ac77;
    width: 90%;
    max-width: 400px;
    display: flex;
    flex-direction: column;
    gap: 16px;
}

.tester-form h2 {
    text-align: center;
    color: #38bdf8;
    margin-bottom: 12px;
}

.tester-form label {
    font-size: 16px;
    color: #94a3b8;
}

.tester-form input[type="text"],
.tester-form input[type="file"] {
    padding: 10px;
    background: #1e293b;
    border: 1px solid #334155;
    border-radius: 8px;
    color: #fff;
}

.tester-form input[type="file"] {
    background: #1e293b;
    cursor: url(../assets/cursors/hover.png), pointer !important;
}

.tester-form input:focus {
    border: 1px solid #009adb;
    box-shadow: 0 0 5px #0ea4e977;
    outline: none;
}

button {
    font-size: 16px;
    padding: 12px;
    background: #0087c5;
    border: none;
    border-radius: 8px;
    color: white;
    font-weight: bold;
    cursor: url(../assets/cursors/default.png), pointer !important;
    transition: background 0.2s ease-in-out;
    outline: none;
}

button:hover {
    background: #0075a7;
    cursor: url(../assets/cursors/hover.png), pointer !important;
}

.file-upload-wrapper {
    display: flex;
    flex-direction: column;
    gap: 8px;
}

#avatar-button,
button {
    padding: 10px;
}

.submit-button {
    background: #15b100;
}

.submit-button:hover {
    background: #059900;
    cursor: url(../assets/cursors/hover.png), pointer !important;
}

#avatar-filename {
    font-size: 12px;
    color: #94a3b8;
    word-break: break-word;
}

#avatar-filename.error {
    color: #ff6f6f;
}



/* RESTRICTED PAGE */

.restricted-wrapper {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    text-align: center;
    padding: 5rem;
    font-size: 16px;
    color: #eee;
    background: radial-gradient(circle at center, #1c2b4e, #020617);
    z-index: 9999;
    display: none;
    box-sizing: border-box;
    overflow: auto;
}

h1 {
    font-size: 3rem;
    color: #ffc13b;
    margin-bottom: 0.5rem;
    text-shadow: 0 0 50px #ffc13b;
}

.subtitle {
    font-size: 1.2rem;
    margin-bottom: 2rem;
    color: #91a8c5;
}

.action {
    font-size: 1.2rem;
}

.question {
    background: #111827;
    background-color: rgba(255, 255, 255, 0.05);
    border-radius: 12px;
    padding: 1rem;
    margin: 1rem auto;
    max-width: 500px;
    text-align: left;
    border: 1px solid #009adb;
    display: flex;
    flex-direction: column;
    gap: 10px;
    /* box-shadow: 0 0 10px rgba(59, 174, 255, 0.3); */
}

input[type=radio] {
    outline: none;
}

input[type=radio]:hover {
    cursor: url(../assets/cursors/hover.png), pointer !important;
}

label {
    font-size: 18px;
    font-weight: 700;
    color: #70d4ff;
}

button#submit-quiz {
    padding: 12px 30px;
    font-size: 16px;
}

#quiz-result {
    display: none;
    font-weight: bold;
    margin-top: 1rem;
    text-align: center;
    color: #ffc13b;
    border: 1px solid #ffc13b;
}

.redirect {
    margin-top: 2rem;
    font-size: 1.1rem;
}

.redirect a {
    color: #3baeff;
    text-decoration: none;
}




.update-wrapper {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    text-align: center;
    padding: 5rem;
    font-size: 16px;
    color: #eee;
    background: radial-gradient(circle at center, #1c2b4e, #020617);
    z-index: 9999;
    box-sizing: border-box;
    overflow: auto;
}